{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [
        {
            "name": "Launch",
            "type": "go",
            "request": "launch",
            "mode": "debug",
            "program": "${workspaceFolder}/cmd/evening_detective",
            "args": [
                "--local"
            ],
            "cwd": "${workspaceFolder}",
            "buildFlags": "-tags local"
        },
        {
            "name": "Launch for tests",
            "type": "go",
            "request": "launch",
            "mode": "debug",
            "program": "${workspaceFolder}/cmd/evening_detective",
            "args": [
                "--local"
            ],
            "cwd": "${workspaceFolder}",
            "buildFlags": "-tags local",
            "env": {
                "STORY_FILENAME": "./internal/tests/story.json",
                "DB_FILENAME": "./internal/tests/store.db"
            }
        }
    ]
}
